# Class CIM_DiagnosticCompletionRecord
extends CIM_DiagnosticServiceRecord

When a DiagnosticService has completed, results generated by the service will be recorded in a DiagnosticCompletionRecord object. This class is used when a DiagnosticRecord.RecordType value = "Results", to contain completion information.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_RecordForLog
|
+--CIM_DiagnosticRecord
|
+--CIM_DiagnosticServiceRecord
|
+--CIM_DiagnosticCompletionRecord

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | When a DiagnosticService has completed, results generated by the service will be recorded in a DiagnosticCompletionRecord object. This class is used when a DiagnosticRecord.RecordType value = "Results", to contain completion information.
UMLPackagePath | string | CIM::System::Diagnostics
Version | string | 2.11.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CompletionState | uint16 |

Description

string

This property is used when a DiagnosticRecord.RecordType value = "Results", to record how the test has completed. It is expected that additional DiagnosticServiceRecords of RecordType "Service Errors", "Warning" or "Device Errors" would be created by the test to describe the details of a "Warning", "Incomplete" or "Failed" CompletionState, respectively. " Stopped" and "Aborted" are similar, although the former implies a clean and orderly stop, while the latter implies an abrupt stop where the element's state and configuration may need to be updated. "Warning" means the element had a problem but did not fail the test. "Failed" and "Incomplete" are similar, although the former means the test on the element failed, while the latter means the test itself had a problem and could not complete execution.

ModelCorrespondence | string | CIM_DiagnosticCompletionRecord.OtherCompletionStateDescription
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7
Values | string | Unknown, Other, OK, Warning, Incomplete, Failed, Aborted, Stopped
OtherCompletionStateDescription | string |
Description | string | When "Other" (value=1) is entered in the CompletionState property, OtherCompletionStateDescription can be used to describe the test's state.
ModelCorrespondence | string | CIM_DiagnosticCompletionRecord.CompletionState

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CreationTimeStamp | datetime | CIM_DiagnosticRecord
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
ExpirationDate | datetime | CIM_DiagnosticRecord
InstanceID | string | CIM_DiagnosticRecord
Locale | string | CIM_RecordForLog
LoopsFailed | uint32 | CIM_DiagnosticServiceRecord
LoopsPassed | uint32 | CIM_DiagnosticServiceRecord
ManagedElementName | string | CIM_DiagnosticRecord
OtherRecordTypeDescription | string | CIM_DiagnosticRecord
PerceivedSeverity | uint16 | CIM_RecordForLog
RecordData | string | CIM_RecordForLog
RecordFormat | string | CIM_RecordForLog
RecordType | uint16 | CIM_DiagnosticRecord
ServiceName | string | CIM_DiagnosticRecord
ErrorCode | string[] | CIM_DiagnosticServiceRecord
ErrorCount | uint32[] | CIM_DiagnosticServiceRecord

## Class Methods